Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 0.6.2

Request #8389 css class selector for required field
Submitted: 2006-08-08 12:04 UTC Modified: 2006-08-13 15:23 UTC
From: farell Assigned: wiesemann
Status: Closed Package: HTML_QuickForm_Renderer_Tableless (version 0.3.2)
PHP Version: 4.4.2 OS: n/a
Roadmaps: (Not assigned)    
Subscription  


 [2006-08-08 12:04 UTC] farell (Laurent Laville)
Description: ------------ To fully separate code from design, it will be interresting to replace partially the properties of $_elementTemplate. And add in the default stylesheet something like : form span.error, form span.required { color: red; } It was already done for error, why not do it for required field too ? Hope it will help to improve the great package once again ! Laurent Expected result: ---------------- <!-- BEGIN required --><span class=\"required\">*</span><!-- END required --> Actual result: -------------- <!-- BEGIN required --><span style=\"color: #ff0000\">*</span><!-- END required -->

Comments

 [2006-08-13 15:23 UTC] wiesemann (Mark Wiesemann)
Thank you for your bug report. This issue has been fixed in the latest released version of the package, which you can download at http://pear.php.net/get/HTML_QuickForm_Renderer_Tableless --- Didn't thought about this while I coded the renderer, but this makes perfectly sense. Thanks!